# class Chef::Provider::Breakpoint

### Public Instance Methods

action_break() click to toggle source

    # File lib/chef/provider/breakpoint.rb, line 26
    def action_break
      if defined?(Shell) && Shell.running?
        run_context.resource_collection.iterator.pause
        @new_resource.updated_by_last_action(true)
        run_context.resource_collection.iterator
      end
    end

load_current_resource() click to toggle source

    # File lib/chef/provider/breakpoint.rb, line 23
    def load_current_resource
    end